package com.ylx.order.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ylx.common.core.domain.R;
import com.ylx.massage.domain.TWxUser;
import com.ylx.massage.domain.vo.HomeBlock;
import com.ylx.massage.domain.vo.OrderVerificationVo;
import com.ylx.massage.domain.vo.TechnicianAvailabilityVo;
import com.ylx.order.domain.TOrder;
import com.ylx.order.mapper.TOrderMapper;
import com.ylx.order.service.TOrderService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.Collections;
import java.util.Date;
import java.util.List;
import java.util.Map;


/**
 * 订单表 服务实现类
 */
@Service
@Slf4j
public class TOrderServiceImpl extends ServiceImpl<TOrderMapper, TOrder> implements TOrderService {

    @Override
    public TOrder addOrder(TOrder order) {
        return null;
    }

    @Override
    public R payOrder(TOrder order) throws Exception {
        return null;
    }

    @Override
    public Boolean jujue(TOrder order) {
        return null;
    }

    @Override
    public Boolean confirm(TOrder order) {
        return null;
    }

    @Override
    public Boolean cancle(TOrder order) {
        return null;
    }

    @Override
    public TOrder getByNo(String orderNo) {
        return null;
    }

    @Override
    public Page<TOrder> getAll(Page<TOrder> page, TOrder order) {
        return null;
    }

    @Override
    public void takingOrders(TOrder order) {

    }

    @Override
    public void payNotifyOrder(String outTradeNo) {

    }

    @Override
    public Object updateAddressById(TOrder borrow) {
        return null;
    }

    @Override
    public Object depart(TOrder order) {
        return null;
    }

    @Override
    public Integer getOrderNum(String jsid, Date startDate, Date endDate) {
        return 0;
    }

    @Override
    public Integer getAddNum(String jsid, Date startDate, Date endDate) {
        return 0;
    }

    @Override
    public Integer getUpgradeNum(String id, Date startDate, Date endDate) {
        return 0;
    }

    @Override
    public BigDecimal getTurnover(String id, Date startDate, Date endDate) {
        return null;
    }

    @Override
    public TOrder transferOrder(TOrder order) {
        return null;
    }

    @Override
    public List<HomeBlock> getBlock(Date start, Date end, String deptId) {
        return Collections.emptyList();
    }

    @Override
    public OrderVerificationVo verification(TOrder order) {
        return null;
    }

    @Override
    public TechnicianAvailabilityVo getTechnicianAvailability(String technicianId, String dateStr) {
        return null;
    }

    @Override
    public Boolean applyCancle(String cId, String cancelReason) {
        return null;
    }

    @Override
    public Boolean cancelApplyCancle(TOrder order) {
        return null;
    }

    @Override
    public Page<TOrder> getPcOrderIncome(Page<TOrder> page, TOrder order) {
        return null;
    }

    @Override
    public Map<String, String> totalData(TOrder order) {
        return Collections.emptyMap();
    }

    @Override
    public void callAutoAccount(int hCount, BigDecimal percent) {

    }

    @Override
    public Map<String, String> myIncome(TWxUser user) {
        return Collections.emptyMap();
    }

    @Override
    public List<Map<String, Object>> myIncomeDetail(TWxUser user, Integer wStatus) {
        return Collections.emptyList();
    }
}
